<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/gradient_example"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    tools:context=".LocustDelActivity">

    <ScrollView
        android:id="@+id/scrollView1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:divider="@drawable/spacer_medium"
            android:orientation="vertical"
            android:showDividers="middle">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:divider="@drawable/spacer_medium"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:showDividers="middle">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtImage1"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:enabled="false"
                        android:focusable="false"
                        android:hint="@string/Photo1"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp">
                </com.google.android.material.button.MaterialButton>

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:divider="@drawable/spacer_medium"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:showDividers="middle">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtImage2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:enabled="false"
                        android:focusable="false"
                        android:hint="@string/Photo2"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:divider="@drawable/spacer_medium"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:showDividers="middle">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtImage3"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:enabled="false"
                        android:focusable="false"
                        android:hint="@string/Photo3"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:id="@+id/textView5"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/CONTROL_LOCATION"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Country">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiCountry"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Region">

                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiRegion"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtArea"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Area"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

             <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtDistrict"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Rural_district"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtVillage"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Name_of_the_village"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtTerrain"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Farm_or_site"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtObserver"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Name_of_control_team_leader"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <dbfields.DateTimeTM
                        android:id="@+id/edtDate"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Date"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <EditText
                    android:id="@+id/edtTimeZone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="2dp"
                    android:visibility="invisible" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnGetDate"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_clock"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:divider="@drawable/spacer_medium"
                android:showDividers="middle"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                >

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    app:boxBackgroundColor="@color/transparent"
                    android:background="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtLatCenter"
                        android:hint="@string/Lat_center"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/transparent"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:layout_weight="1"/>
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    app:boxBackgroundColor="@color/transparent"
                    android:background="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtLonCenter"
                        android:background="@color/transparent"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Lon_center"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnGetGPSCenter"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:icon="@drawable/ic_location"
                    app:iconSize="24dp"
                    android:minWidth="40dp"
                    app:iconPadding="0dp"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    app:iconGravity="textStart"
                    />
                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelGPSCenter"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:icon="@drawable/ic_delete"
                    app:iconSize="24dp"
                    android:minWidth="40dp"
                    app:iconPadding="0dp"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    app:iconGravity="textStart"
                    />
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:baselineAligned="false"
                    android:divider="@drawable/spacer_medium"
                    android:gravity="center"
                    android:showDividers="middle">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtLatCenter"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@color/transparent"
                            android:enabled="false"
                            android:hint="@string/Lat_center"
                            android:maxLines="1"
                            android:singleLine="true" />
                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtLonCenter"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@color/transparent"
                            android:enabled="false"
                            android:hint="@string/Lon_center"
                            android:maxLines="1"
                            android:singleLine="true" />
                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btnGetGPSCenter"
                        style="@style/Widget.MaterialComponents.Button.Icon"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:insetLeft="0dp"
                        android:insetTop="0dp"
                        android:insetRight="0dp"
                        android:insetBottom="0dp"
                        android:minWidth="40dp"
                        app:icon="@drawable/ic_location"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp"
                        app:iconSize="24dp" />

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btnDelGPSCenter"
                        style="@style/Widget.MaterialComponents.Button.Icon"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:insetLeft="0dp"
                        android:insetTop="0dp"
                        android:insetRight="0dp"
                        android:insetBottom="0dp"
                        android:minWidth="40dp"
                        app:icon="@drawable/ic_delete"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp"
                        app:iconSize="24dp" />
                </LinearLayout>
            </LinearLayout>

            <ListView
                android:id="@+id/latlonList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnOnMap"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Show_map"
                    app:icon="@drawable/ic_map"
                    app:iconGravity="textStart"
                    android:paddingLeft="@dimen/activity_horizontal_margin"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInfestedArea"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Area_infested_ha"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtTreatedArea"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Area_treated_ha"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>
            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    android:id="@+id/tvTreatedArea"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Area_treated_ha"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/star"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#ff0000" />

                <EditText
                    android:id="@+id/edtTreatedArea"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:inputType="numberDecimal" />
            </LinearLayout-->


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/VEGETATION_DATA"
                    android:textStyle="bold"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Vegetation_type">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiVegType"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    android:id="@+id/tvVegType"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Vegetation_type"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/star"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#ff0000" />

                <dbfields.SpinnerDB
                    android:id="@+id/spiVegType"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtVegHeight"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Height_cm"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    android:id="@+id/tvVegHeight"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Height_cm"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/star"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#ff0000" />

                <EditText
                    android:id="@+id/edtVegHeight"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:inputType="numberDecimal" />
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Del_Vegetation_cover">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiVegCover"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtVegCrop"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Crop_name"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Damage">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiVegDamage"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtVegDamageArea"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Damage_area_ha"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/INSECTICIDE_DATA"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsName"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Trade_name"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsActiveSubstance"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/The_active_substance"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsConcentration"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Concentration_A_S"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="text"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Formulation">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiInsFormulation"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsDose"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Dose_rate_l_of_commercial_product_ha"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Commercial_product_diluted">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiInsDiluted"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsProportion"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Working_fluid_dilution_ratio"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsRate"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Rate_of_working_solution_l_ha"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsUsedVolume"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Total_volume_of_working_solution_actually_applied_l"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtInsNumberSpores"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Number_of_spores_ml"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:id="@+id/textView26"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/WEATHER_CONDITIONS"
                    android:textStyle="bold" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Time_start">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiWeaTimeStart"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Time_end">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiWeaTimeEnd"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtWeaTemperatureStart"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Temperature_start"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtWeaTemperatureEnd"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Temperature_end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtWeaWindSpeedStart"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Wind_speed_start_m_s"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtWeaWindSpeedEnd"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Wind_speed_end_m_s"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Wind_direction_start">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiWindDirectionStart"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Wind_direction_end">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiWindDirectionEnd"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Spray_direction_start">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprayDirectionStart"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Spray_direction_end">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprayDirectionEnd"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:id="@+id/textView39"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/LOCUST_INFORMATION"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Species">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiLocSpecies"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Hopper_stages">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiLocHoppers"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Imago">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiImago"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtLocDensity"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Density_m2"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Bands">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiKuliguli"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout-->

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Swarms">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSwarm"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout-->

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/HOPPERS_SCATTERED">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSparse"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Main_purpose_of_treatment">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiMainPurpose"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Del_Phase">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiLocustPhaseId"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/SPRAY_APPLICATION"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Spray_platform">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprPlatform"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Spray_platform_a">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprPlatformA"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Ground">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprPlatformG"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Spray_platform_h">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprPlatformH"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Spray_type">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprCapacity"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtSprManufacturer"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Spray_manufacturer_model"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="text"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtSprHeight"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Atomizer_height_above_ground_m"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Type_of_treatment">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprBarrier"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <!--LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtSprBarrierWidth"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Barrier_width_m"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtSprBarrierSpace"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Spacing_of_barriers_m"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtSprSpeed"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Forward_speed_km_h"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Ground_marking">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSprMarking"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbEffectiveness"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:background="#dddddd"
                    android:checked="false"
                    android:text="@string/CONTROL_EFFICACY"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llEffectiveness"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin"
                    android:visibility="gone">
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Type_of_assessed_biological_impact">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiTypeImpact"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingLeft="5dp"
                        android:text="@string/Type_of_assessed_biological_impact"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"/>
                    <EditText
                        android:id="@+id/edtBiologicalImpact"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:inputType="text"
                        android:visibility="gone" />
                </LinearLayout>

                <GridLayout
                    android:id="@+id/glBiologicalImpact"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:columnCount="2"
                    android:rowCount="2"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <!-- CheckBox elements are created programmatically -->

                </GridLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtEffMortality"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Biological_efficiency_of_treatment"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">
                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtEffTime"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Time_after_treatment_hours"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Method_of_biological_efficiency_estimation">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiEffMethod"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:id="@+id/textView49"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/SAFETY_AND_ENVIRONMENT"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="5dp"
                    android:text="@string/Protective_clothing"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"/>
                <EditText
                    android:id="@+id/edtClothing"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="1"
                    android:layout_row="2"
                    android:hint=""
                    android:visibility="invisible" />
            </LinearLayout>

            <GridLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:columnCount="3"
                android:rowCount="3"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <CheckBox
                    android:id="@+id/cbSafClothingGoggles"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="0"
                    android:layout_gravity="left|top"
                    android:layout_row="0"
                    android:text="@string/Goggles" />

                <CheckBox
                    android:id="@+id/cbSafClothingMasks"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="1"
                    android:layout_gravity="left|top"
                    android:layout_row="0"
                    android:text="@string/Masks" />

                <CheckBox
                    android:id="@+id/cbSafClothingGloves"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="2"
                    android:layout_gravity="left|top"
                    android:layout_row="0"
                    android:text="@string/Gloves" />

                <CheckBox
                    android:id="@+id/cbSafClothingOveralls"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="0"
                    android:layout_gravity="left|top"
                    android:layout_row="1"
                    android:text="@string/Overalls" />

                <CheckBox
                    android:id="@+id/cbSafClothingCaps"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="1"
                    android:layout_gravity="left|top"
                    android:layout_row="1"
                    android:text="@string/Caps" />

                <CheckBox
                    android:id="@+id/cbSafClothingBoots"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="2"
                    android:layout_gravity="left|top"
                    android:layout_row="1"
                    android:text="@string/Boots" />

                <CheckBox
                    android:id="@+id/cbSafClothingAbsent"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="0"
                    android:layout_gravity="left|top"
                    android:layout_row="2"
                    android:text="@string/Protection_is_absent" />

            </GridLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Operator_accidentally_exposed_to_insecticide_or_feeling_unwell">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiOperatorExposedInsecticide"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtDescription"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/If_yes_describe_what_happened_description"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:orientation="vertical">

                <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                    <TextView
                        android:id="@+id/textView51"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Inform_abaut_spraying"
                        android:textAppearance="?android:attr/textAppearanceSmall"/>
                    <EditText
                        android:id="@+id/edtInform"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:hint=""
                        android:visibility="invisible"/>
                </LinearLayout>
                <GridLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:columnCount="2"
                    android:rowCount="3">

                    <CheckBox
                        android:id="@+id/cbSafInformFarmer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left|top"
                        android:text="@string/Farmer"/>

                    <CheckBox
                        android:id="@+id/cbSafInformShepherd"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left|top"
                        android:text="@string/Shepherd" />

                    <CheckBox
                        android:id="@+id/cbSafInformBeekeeper"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left|top"
                        android:text="@string/Beekeeper" />

                    <CheckBox
                        android:id="@+id/cbSafInformVillager"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left|top"
                        android:text="@string/Villager" />

                    <CheckBox
                        android:id="@+id/cbSafInformOfficial"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left|top"
                        android:text="@string/Official" />

                    <CheckBox
                        android:id="@+id/cbSafInformOther"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left|top"
                        android:text="@string/Other_people" />

                </GridLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center|left">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <TextView
                    android:id="@+id/tvEmptyContainers"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="5dp"
                    android:text="@string/Empty_containers"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"/>
                <EditText
                    android:id="@+id/edtSafEmptyContainers"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint=""
                    android:visibility="invisible" />
            </LinearLayout>

            <GridLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:columnCount="2"
                android:rowCount="3"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <CheckBox
                    android:id="@+id/cbTripleRinsed"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left|top"
                    android:text="@string/Farmer"/>

                <CheckBox
                    android:id="@+id/cbPunctured"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left|top"
                    android:text="@string/Shepherd" />

                <CheckBox
                    android:id="@+id/cbTakenBackToBase"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left|top"
                    android:text="@string/Beekeeper" />

                <CheckBox
                    android:id="@+id/cbLeftInField"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left|top"
                    android:text="@string/Villager" />

                <CheckBox
                    android:id="@+id/cbBuried"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left|top"
                    android:text="@string/Official" />

                <CheckBox
                    android:id="@+id/cbBurned"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                     android:layout_gravity="left|top"
                     android:text="@string/Other" />
            </GridLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Effect_on_non_target_organism">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSafNonTarget"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtSafNonTargetEffect"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/If_Yes_type_of_organisms_and_effects_description"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Other_environmental_or_health_incident_reported_that_might_have_been_caused_by_the_treatment">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiSafIncident"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtSafIncidentEffect"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/If_Yes_type_of_incident_and_reported_by_whom_description"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:id="@+id/tvComments"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/Comments_problems"
                    android:textStyle="bold" />
            </LinearLayout>


            <EditText
                android:id="@+id/edtComments"
                android:layout_width="match_parent"
                android:layout_height="150dp"
                android:ems="10"
                android:inputType="textMultiLine"
                android:paddingLeft="@dimen/activity_horizontal_margin"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <CheckBox
                    android:id="@+id/cbTest"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/Test_questionnaire"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="right"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnOk"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Save"
                    app:iconGravity="textStart"
                    app:icon="@drawable/ic_save"/>

                <Space
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="0"
                    android:minWidth="10dp"
                    android:minHeight="10dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnCancel"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Cancel"
                    app:iconGravity="textStart"
                    app:icon="@drawable/ic_exit"/>

            </LinearLayout>
        </LinearLayout>
    </ScrollView>

</RelativeLayout>